#ifndef __SYLPHDATACF_H
#define __SYLPHDATACF_H

#include <string>

#include "SylphData.h"
#include "gba_nds_fat/gba_nds_fat.h"

class SylphCFDataPlugin: public SylphDataPlugin {
	protected:
		bool FActive;
	protected:
		int GetData(std::string filename, SylphFile** file);
		SylphFiles* EnumFiles(std::string path);
	public:
		~SylphCFDataPlugin();
		SylphCFDataPlugin();
		std::string PluginName();
};

class SylphCFFile: public SylphFile {
	protected:
		FAT_FILE* FFile;
	public:
		friend class SylphCFDataPlugin;
		~SylphCFFile();
		int Read(void* buffer, int count);
		int Seek(int offset, SylphSeek Where); 
};


#endif
