/*
     ``The contents of this file are subject to the Mozilla Public License
     Version 1.1 (the "License"); you may not use this file except in
     compliance with the License. You may obtain a copy of the License at
     http://www.mozilla.org/MPL/

     Software distributed under the License is distributed on an "AS IS"
     basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
     License for the specific language governing rights and limitations
     under the License.

     The Original Code is SylphDS (www.sylphds.net).

     The Initial Developer of the Original Code is Ficedula (web@sylphds.net).
*/

#include "SylphActionsDef.h"
#include "SylphActions.h"
#include "SylphUDP.h"

void SylphInputAction::Step(SylphFrame& frame) {
	scanKeys();
}

SylphFrameType SylphInputAction::DefaultType() {
	return sfProcessConstant;
}

SylphInputAction::~SylphInputAction() {
}

void SylphMikModAction::Step(SylphFrame& frame) {
//	FIsActive = UpdateMikMod();
}

SylphFrameType SylphMikModAction::DefaultType() {
	return sfProcessConstant;
}

SylphMikModAction::~SylphMikModAction() {
}

void SylphUDPAction::Step(SylphFrame& frame) {
	SUDP().Process();
}

SylphFrameType SylphUDPAction::DefaultType() {
	return sfProcessConstant;
}

SylphUDPAction::~SylphUDPAction() {
}


