#ifndef __SYLPHACTIONSDEF_H
#define __SYLPHACTIONSDEF_H

#include "SylphActions.h"
#include <nds.h>

class SylphInputAction: public SylphAction {
	public:
		void Step(SylphFrame& frame);
		SylphFrameType DefaultType();
		~SylphInputAction();
};

class SylphUDPAction: public SylphAction {
	public:
		void Step(SylphFrame& frame);
		SylphFrameType DefaultType();
		~SylphUDPAction();
};

class SylphMikModAction: public SylphAction {
	protected:
		int FIsActive;
	public:
		void Step(SylphFrame& frame);
		SylphFrameType DefaultType();
		~SylphMikModAction();
		
		inline int IsActive() { return FIsActive; }
};

#endif
