#ifndef __SYLPHDATARAW_H
#define __SYLPHDATARAW_H

#include <string>
#include "SylphData.h"

class SylphRawDataPlugin: public SylphDataPlugin {
	protected:
		int GetData(std::string filename, SylphFile** file);
		SylphFiles* EnumFiles(std::string path);
	public:
		~SylphRawDataPlugin();
		std::string PluginName();
};

class SylphRawFile: public SylphFile {
	protected:
		u8* data;
		int datasize;
	public:
		friend class SylphRawDataPlugin;
		int Read(void* buffer, int count);
};

#endif
