#ifndef __SYLPHNET_H
#define __SYLPHNET_H

#include "dswifi9.h"

void SylphNetInit();

struct WifiSettings {
	unsigned char WepKeys[4][32];
	int WepKeyID, WepMode;
	int dhcp; // 0=none, 1=get IP, 2=get DNS
	unsigned long ipaddr, snmask, gateway, dns1, dns2;
	Wifi_AccessPoint connectAP;
};

WifiSettings& GlobalWifi();
const char* WifiAssocStatusStr(int status);

#endif
